diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
index b3f7873..de4b754 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
@@ -1939,117 +2179,117 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Al Hoceïma
+    // Oued Ed-Dahab (EH)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;AlHoceima">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;OuedEd-Dahab">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Al Hoceïma</rdfs:label>
-      <skos:definition>The province of Al Hoceïma in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Taza-AlHoceima-Taounate"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Al Hoceïma</lcc-cr:hasLocalShortName>
+      <rdfs:label>Oued Ed-Dahab (EH)</rdfs:label>
+      <skos:definition>The province of Oued Ed-Dahab (EH) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Dakhla-OuedEd-Dahab"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Oued Ed-Dahab (EH)</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-HOC">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-OUD">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Al Hoceïma in the country of Morocco</skos:definition>
-      <rdfs:label>MA-HOC</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-HOC</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;AlHoceima"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;AlHoceima"/>
+      <skos:definition>subdivision code for the province of Oued Ed-Dahab (EH) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-OUD</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-OUD</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;OuedEd-Dahab"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;OuedEd-Dahab"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Taounate
+    // Rabat-Salé-Kénitra
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taounate">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Rabat-Sale-Kenitra">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Taounate</rdfs:label>
-      <skos:definition>The province of Taounate in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Taza-AlHoceima-Taounate"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taounate</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:label>Rabat-Salé-Kénitra</rdfs:label>
+      <skos:definition>The region of Rabat-Salé-Kénitra in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Rabat-Salé-Kénitra</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAO">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-04">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Taounate in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TAO</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAO</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taounate"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taounate"/>
+      <skos:definition>subdivision code for the region of Rabat-Salé-Kénitra in the country of Morocco</skos:definition>
+      <rdfs:label>MA-04</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-04</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-
-
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Grand Casablanca
+    // Sidi Slimane
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;GrandCasablanca">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;SidiSlimane">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Grand Casablanca</rdfs:label>
-      <skos:definition>The region of Grand Casablanca in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Grand Casablanca</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>Sidi Slimane</rdfs:label>
+      <skos:definition>The province of Sidi Slimane in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sidi Slimane</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-08">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SIL">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Grand Casablanca in the country of Morocco</skos:definition>
-      <rdfs:label>MA-08</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-08</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;GrandCasablanca"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;GrandCasablanca"/>
+      <skos:definition>subdivision code for the province of Sidi Slimane in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SIL</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SIL</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;SidiSlimane"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;SidiSlimane"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Médiouna
+    // Rabat
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Mediouna">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Rabat">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Médiouna</rdfs:label>
-      <skos:definition>The province of Médiouna in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;GrandCasablanca"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Médiouna</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:label>Rabat</rdfs:label>
+      <skos:definition>The prefecture of Rabat in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Rabat</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MED">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-RAB">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Médiouna in the country of Morocco</skos:definition>
-      <rdfs:label>MA-MED</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MED</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Mediouna"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Mediouna"/>
+      <skos:definition>subdivision code for the prefecture of Rabat in the country of Morocco</skos:definition>
+      <rdfs:label>MA-RAB</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-RAB</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Rabat"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Rabat"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -2059,27 +2299,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Mohammadia
+    // Skhirate-Témara
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Mohammadia">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Skhirate-Temara">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Mohammadia</rdfs:label>
-      <skos:definition>The prefecture of Mohammadia in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;GrandCasablanca"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Mohammadia</lcc-cr:hasLocalShortName>
+      <rdfs:label>Skhirate-Témara</rdfs:label>
+      <skos:definition>The prefecture of Skhirate-Témara in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Skhirate-Témara</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MOH">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SKH">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Mohammadia in the country of Morocco</skos:definition>
-      <rdfs:label>MA-MOH</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MOH</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Mohammadia"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Mohammadia"/>
+      <skos:definition>subdivision code for the prefecture of Skhirate-Témara in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SKH</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SKH</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Skhirate-Temara"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Skhirate-Temara"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -2089,27 +2329,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nouaceur
+    // Kénitra
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Nouaceur">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Kenitra">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nouaceur</rdfs:label>
-      <skos:definition>The province of Nouaceur in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;GrandCasablanca"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Nouaceur</lcc-cr:hasLocalShortName>
+      <rdfs:label>Kénitra</rdfs:label>
+      <skos:definition>The province of Kénitra in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Kénitra</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-NOU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KEN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nouaceur in the country of Morocco</skos:definition>
-      <rdfs:label>MA-NOU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-NOU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Nouaceur"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Nouaceur"/>
+      <skos:definition>subdivision code for the province of Kénitra in the country of Morocco</skos:definition>
+      <rdfs:label>MA-KEN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KEN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Kenitra"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Kenitra"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -2119,177 +2359,177 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Casablanca
+    // Salé
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Casablanca">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Sale">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Casablanca</rdfs:label>
-      <skos:definition>The prefecture of Casablanca in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;GrandCasablanca"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Casablanca</lcc-cr:hasLocalShortName>
+      <rdfs:label>Salé</rdfs:label>
+      <skos:definition>The prefecture of Salé in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Salé</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-CAS">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SAL">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Casablanca in the country of Morocco</skos:definition>
-      <rdfs:label>MA-CAS</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-CAS</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Casablanca"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Casablanca"/>
+      <skos:definition>subdivision code for the prefecture of Salé in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SAL</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SAL</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Sale"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Sale"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tadla-Azilal
+    // Khemisset
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tadla-Azilal">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Khemisset">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tadla-Azilal</rdfs:label>
-      <skos:definition>The region of Tadla-Azilal in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tadla-Azilal</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>Khemisset</rdfs:label>
+      <skos:definition>The province of Khemisset in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Khemisset</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-12">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KHE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Tadla-Azilal in the country of Morocco</skos:definition>
-      <rdfs:label>MA-12</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-12</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tadla-Azilal"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tadla-Azilal"/>
+      <skos:definition>subdivision code for the province of Khemisset in the country of Morocco</skos:definition>
+      <rdfs:label>MA-KHE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KHE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Khemisset"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Khemisset"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Azilal
+    // Nouaceur
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Azilal">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Nouaceur">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Azilal</rdfs:label>
-      <skos:definition>The province of Azilal in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tadla-Azilal"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Azilal</lcc-cr:hasLocalShortName>
+      <rdfs:label>Nouaceur</rdfs:label>
+      <skos:definition>The province of Nouaceur in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Kenitra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Nouaceur</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-AZI">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-NOU">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Azilal in the country of Morocco</skos:definition>
-      <rdfs:label>MA-AZI</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-AZI</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Azilal"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Azilal"/>
+      <skos:definition>subdivision code for the province of Nouaceur in the country of Morocco</skos:definition>
+      <rdfs:label>MA-NOU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-NOU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Nouaceur"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Nouaceur"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Beni Mellal
+    // Marrakech-Safi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;BeniMellal">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Marrakech-Safi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Beni Mellal</rdfs:label>
-      <skos:definition>The province of Beni Mellal in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tadla-Azilal"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Beni Mellal</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:label>Marrakech-Safi</rdfs:label>
+      <skos:definition>The region of Marrakech-Safi in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Marrakech-Safi</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BEM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-07">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Beni Mellal in the country of Morocco</skos:definition>
-      <rdfs:label>MA-BEM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BEM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;BeniMellal"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;BeniMellal"/>
+      <skos:definition>subdivision code for the region of Marrakech-Safi in the country of Morocco</skos:definition>
+      <rdfs:label>MA-07</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-07</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Marrakech-Safi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Marrakech-Safi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-
-
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sous-Massa-Draa
+    // Marrakech
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Sous-Massa-Draa">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Marrakech">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sous-Massa-Draa</rdfs:label>
-      <skos:definition>The region of Sous-Massa-Draa in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sous-Massa-Draa</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>Marrakech</rdfs:label>
+      <skos:definition>The prefecture of Marrakech in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Safi"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Marrakech</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-13">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MAR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Sous-Massa-Draa in the country of Morocco</skos:definition>
-      <rdfs:label>MA-13</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-13</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Sous-Massa-Draa"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Sous-Massa-Draa"/>
+      <skos:definition>subdivision code for the prefecture of Marrakech in the country of Morocco</skos:definition>
+      <rdfs:label>MA-MAR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MAR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Marrakech"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Marrakech"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Taroudant
+    // Rehamna
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taroudant">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Rehamna">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Taroudant</rdfs:label>
-      <skos:definition>The province of Taroudant in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Sous-Massa-Draa"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taroudant</lcc-cr:hasLocalShortName>
+      <rdfs:label>Rehamna</rdfs:label>
+      <skos:definition>The province of Rehamna in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Safi"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Rehamna</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-REH">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Taroudant in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TAR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taroudant"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taroudant"/>
+      <skos:definition>subdivision code for the province of Rehamna in the country of Morocco</skos:definition>
+      <rdfs:label>MA-REH</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-REH</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Rehamna"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Rehamna"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -2299,27 +2539,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tiznit
+    // Youssoufia
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tiznit">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Youssoufia">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tiznit</rdfs:label>
-      <skos:definition>The province of Tiznit in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Sous-Massa-Draa"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tiznit</lcc-cr:hasLocalShortName>
+      <rdfs:label>Youssoufia</rdfs:label>
+      <skos:definition>The province of Youssoufia in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Safi"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Youssoufia</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TIZ">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-YUS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Tiznit in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TIZ</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TIZ</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tiznit"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tiznit"/>
+      <skos:definition>subdivision code for the province of Youssoufia in the country of Morocco</skos:definition>
+      <rdfs:label>MA-YUS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-YUS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Youssoufia"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Youssoufia"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
